{
  CBSuite - Components

  Copyright (c), 1997, Calitz Bros.   All rights reserved
}

unit RegCBSui;
 {$IFNDEF RESINCLUDED}
        {$DEFINE RESINCLUDED}
        {$IFDEF WIN32}
                {$R Reg32Sui.RES}
        {$ELSE}
                {$R Reg16Sui.RES}
        {$ENDIF}
{$ENDIF}



interface

uses
  Classes,
  DsgnIntf,
  ExptIntf,
  Dialogs,
  SysUtils,
  PrnWin,
  DBPrnWin,
  VRuler,
  HRuler,
  Totals,
  PrnGridR,
  Prnfile,
  PrMemo,
  FileRead,
  cb_grid,
  CB_Types,
  CB_Gdi,
  cb_lab,
  CB_MFunc,
  FuncsDb,
  PrintWiz,
  cb_dbgr,
  cb_graph,
  AddIt,
  cbband,
  cbreport,
  cbphead,
  cbFooter,
  cbTitle,
  cbghead,
  cbPageF,
  cbGrandT,
  cbSummry,
  cb_calc,
  cbSystem,
  cbdetban,
  cbsubdet,
  CBLabel,
  CBPanel,
  CBExWiz,
  CBDExWiz,
  CBExWiz1,
  CBFExWiz,
  CBWizLab,
  CBWizLis,
  drawscrn,
  CBAbout;

procedure Register;

implementation



  procedure Register;

  begin
    RegisterComponents('CBSuite',[TDBPrintWin, TPrintWin, THRuler, TVRuler,
     TShowTotal]);
    RegisterComponents('CBSuite',[TPrintGridReport,TPrintFile,
     TPrintMemo]);
    RegisterComponents('CBBands',[TCBReport, TCBTitle, TCBPageHeader,
       TCBGroupHeader, TCBDetail, TCBGroupFooter, TCBPageFooter,
       TCBGrandTotal, TCBSummary, TCBLabelBand, TCBCalc, TCBSystem]);

    RegisterComponents('CBSuite',[TCB_SortGrid]);
    RegisterComponents('CBSuite',[TCB_Graph, TCB_DBGraph, TCB_Label]);
    RegisterComponents('CBSuite', [TCBPanel]);


    RegisterComponentEditor(TPrintWin, TCBEditor);
    RegisterComponentEditor(TPrintGridReport, TCBEditor);
    RegisterComponentEditor(TPrintFile, TCBEditor);
    RegisterComponentEditor(TCBReport, TCBRepEditor);
{    RegisterComponents('CBSuite', [TCBPrintWindow]);}


{$IFDEF WIN32}
{    RegisterComponents('CB3Party', [TRichEditE]);
         RegisterComponents('CB3Party', [TCBRichContinue]);}
{$ENDIF}

    RegisterComponents('CB3Party', [TDrawIt]);
{    RegisterComponents('CBSuite', [TCBAnimate]);}


    RegisterLibraryExpert( TCBExpert.Create );
    RegisterLibraryExpert( TCBDExpert.Create );
    RegisterLibraryExpert( TCBExpert1.Create );
    RegisterLibraryExpert( TCBFrmExpert.Create );
    RegisterLibraryExpert( TCBLabExpert.Create );
    RegisterLibraryExpert( TCBListExpert.Create );


  end;


end.
